Minimum requirements for using Slack

Curious about what the technical requirements are to run Slack? We've put together some helpful information about our supported browsers and operating systems (OS), so read on to learn more.

Download the Slack app for your desktop from slack.com/downloads.✨


Desktop apps

Operating System Requirements
MacOS OS X 10.10 or above
Windows Windows 7 or above
Linux Fedora 28 or above
Ubuntu LTS releases 16.04 or above
Red Hat Enterprise Linux 7.0 or above

Note: We will no longer support desktop app versions older than Slack 4.0 starting on November 13th. To maintain app reliability and security, we recommend updating Slack whenever a new app version is released.


Mobile apps

Operating System Requirements
iOS iOS 11.1 or above
Android Android 4.4 or above

Note: Android users will need to update their operating system to Android 5.0 or above in order to comply with upcoming changes to Transport Layer Security (TLS) in Slack.


Web browsers

Connect to Slack from the web on your desktop anytime at slack.com/signin — just make sure you're using one of our supported browsers.

Browser

Requirements

Chrome

Version 66 or above

Firefox

Version 60 or above

Safari

Version 10.1 or above

Microsoft Edge

Version 41 or above


Unsupported browsers and OS

To focus on delivering the best possible experience in Slack, it is necessary to keep the list of supported browsers and operating systems short.

When a browser is no longer supported, we stop fixing pesky bugs and issues. For a customer, that could be a terrible Slack experience! We do our best to avoid that scenario by blocking unsupported browsers from accessing Slack.

Need help? If you're trying to update but find yourself getting stuck, get in touch with us. We're happy to assist!